List recording transcriptions
Returns multiple recording transcription resources for an account.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.texml.accounts.retrieveTranscriptionsJson('account_sid');
console.log(response.end);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.texml.accounts.retrieve_transcriptions_json(
account_sid="account_sid",
)
print(response.end)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Texml.Accounts.GetTranscriptionsJson(
context.TODO(),
"account_sid",
telnyx.TexmlAccountGetTranscriptionsJsonParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.End)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.AccountRetrieveTranscriptionsJsonParams;
import com.telnyx.sdk.models.texml.accounts.AccountRetrieveTranscriptionsJsonResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
AccountRetrieveTranscriptionsJsonResponse response = client.texml().accounts().retrieveTranscriptionsJson("account_sid");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.texml.accounts.retrieve_transcriptions_json("account_sid")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->texml->accounts->retrieveTranscriptionsJson(
'account_sid', pageSize: 0, pageToken: 'PageToken'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts retrieve-transcriptions-json \
--api-key 'My API Key' \
--account-sid account_sidcurl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Transcriptions.json \
--header 'Authorization: Bearer <token>'{
"transcriptions": [
{
"account_sid": "61bf923e-5e4d-4595-a110-56190ea18a1b",
"call_sid": "v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA",
"api_version": "2010-04-01",
"date_created": "2023-08-11T19:12:11Z",
"date_updated": "2023-08-11T19:12:11Z",
"duration": "12",
"sid": "e9cea0be-7dbd-4b98-98b1-c0089d9d43b0",
"recording_sid": "e9cea0be-7dbd-4b98-98b1-c0089d9d43b0",
"status": "completed",
"transcription_text": "Good morning, how may I help you?",
"uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json"
}
],
"end": 1,
"first_page_uri": "<string>",
"previous_page_uri": "<string>",
"next_page_uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions.json?PageToken=KRWXZPO&PageSize=1",
"page": 0,
"page_size": 20,
"start": 0,
"uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions.json?PageToken=YTBNAXPI&PageSize=1"
}{
"errors": [
{
"detail": "Resource not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the account the resource belongs to.
Query Parameters
Used to request the next page of results.
The number of records to be displayed on a page
Response
Successful list Recording Transcriptions Response
Show child attributes
Show child attributes
The number of the last element on the page, zero-indexed
1
Relative uri to the first page of the query results
Relative uri to the previous page of the query results
Relative uri to the next page of the query results
"/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions.json?PageToken=KRWXZPO&PageSize=1"
Current page number, zero-indexed.
0
The number of items on the page
20
The number of the first element on the page, zero-indexed.
0
The URI of the current page.
"/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions.json?PageToken=YTBNAXPI&PageSize=1"
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.texml.accounts.retrieveTranscriptionsJson('account_sid');
console.log(response.end);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.texml.accounts.retrieve_transcriptions_json(
account_sid="account_sid",
)
print(response.end)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Texml.Accounts.GetTranscriptionsJson(
context.TODO(),
"account_sid",
telnyx.TexmlAccountGetTranscriptionsJsonParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.End)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.AccountRetrieveTranscriptionsJsonParams;
import com.telnyx.sdk.models.texml.accounts.AccountRetrieveTranscriptionsJsonResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
AccountRetrieveTranscriptionsJsonResponse response = client.texml().accounts().retrieveTranscriptionsJson("account_sid");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.texml.accounts.retrieve_transcriptions_json("account_sid")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->texml->accounts->retrieveTranscriptionsJson(
'account_sid', pageSize: 0, pageToken: 'PageToken'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts retrieve-transcriptions-json \
--api-key 'My API Key' \
--account-sid account_sidcurl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Transcriptions.json \
--header 'Authorization: Bearer <token>'{
"transcriptions": [
{
"account_sid": "61bf923e-5e4d-4595-a110-56190ea18a1b",
"call_sid": "v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA",
"api_version": "2010-04-01",
"date_created": "2023-08-11T19:12:11Z",
"date_updated": "2023-08-11T19:12:11Z",
"duration": "12",
"sid": "e9cea0be-7dbd-4b98-98b1-c0089d9d43b0",
"recording_sid": "e9cea0be-7dbd-4b98-98b1-c0089d9d43b0",
"status": "completed",
"transcription_text": "Good morning, how may I help you?",
"uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json"
}
],
"end": 1,
"first_page_uri": "<string>",
"previous_page_uri": "<string>",
"next_page_uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions.json?PageToken=KRWXZPO&PageSize=1",
"page": 0,
"page_size": 20,
"start": 0,
"uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions.json?PageToken=YTBNAXPI&PageSize=1"
}{
"errors": [
{
"detail": "Resource not found"
}
]
}